OpenAFP-1.3.2: IBM AFP document format parser and generator

Safe Haskell | None

OpenAFP.Records.AFP.FNI

# Documentation

data FNI

Constructors

FNI |
Fields fni_Type :: !N3 fni_ :: !N3 fni_Data :: ![Record FNI_Data]

Instances

Show FNI |
Typeable FNI |
Rec FNI |
RecData FNI FNI_Data |

data FNI_Data

Constructors

FNI_Data |
Fields fni_GCGID :: !A8 fni_CharacterIncrement :: !N2 fni_AscendHeight :: !I2 fni_DescendDepth :: !I2 fni_Reserved1 :: !N2 fni_FNMCount :: !N2 fni_ASpace :: !I2 fni_BSpace :: !N2 fni_CSpace :: !I2 fni_Reserved2 :: !N2 fni_BaseOffset :: !I2

Instances

Show FNI_Data |
Typeable FNI_Data |
Rec FNI_Data |
RecData FNI FNI_Data |